Bug 447990 - The pictures are not displayed in gliv.
The pictures are not displayed in gliv.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gliv (Show other bugs)
12
i686 Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 15:26 EDT by Julien Tane
Modified: 2010-11-08 02:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 02:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glxgears -info output (2.15 KB, text/plain)
2008-06-18 15:35 EDT, Julien Tane
no flags Details
xorg.conf (622 bytes, text/plain)
2008-06-18 17:53 EDT, Julien Tane
no flags Details
logs of Xorg session (34.66 KB, text/plain)
2008-06-18 17:55 EDT, Julien Tane
no flags Details
dmesg output (22.12 KB, text/plain)
2008-06-18 18:02 EDT, Julien Tane
no flags Details

  None (edit)
Description Julien Tane 2008-05-22 15:26:17 EDT
Description of problem:
I tried to look at a few pictures in gliv. But I only get a black screen.

Version-Release number of selected component (if applicable):
gliv 1.9.6

How reproducible: Always


Steps to Reproduce:
1. start gliv
2. choose a directory


  
Actual results:

the pictures are not displayed. The title contains the image names... But only a
black screen is displayed.

Expected results:

the pictures should be displayed in the main frame of gliv, or there should be a
message indicating why it is not possible.
Additional info:
Comment 1 Peter Lemenkov 2008-06-10 08:43:36 EDT
CC'ed to author.
Comment 2 Guillaume Chazarain 2008-06-18 15:22:29 EDT
[I'm the gliv author]

I need more details to help you:

- video card?
- does it happen both when gliv is in full-screen and window mode?
- does it happen both with small images and large images, images with an alpha
channel (opacity) and without?

Can you try with these images (is you have them on your system):

/usr/share/icons/Fedora/16x16/places/start-here.png
/usr/share/pixmaps/gnome-logo-icon.png
/usr/share/backgrounds/images/flowers_and_leaves.jpg
/usr/share/backgrounds/translucent/ellipsis.svg
Comment 3 Guillaume Chazarain 2008-06-18 15:24:23 EDT
Also, what does glxgears -info say?
Comment 4 Julien Tane 2008-06-18 15:35:22 EDT
Created attachment 309781 [details]
glxgears -info output
Comment 5 Julien Tane 2008-06-18 15:48:45 EDT
Video Card:

NVidia Corporation NV34 [GeForce FX 5200]

Window mode and full-screen mode

It only happens with the images in the main window. The preview images in the
menus work perfectly. I have yet to see one image working. 

Well I tried now:
/usr/share/backgrounds/translucent/ellipsis.svg works at least I see something
like in eog.
the start-here.png is presented as a small icon in a large no background window.

The two others do not work, i.e black screen.

BTW: The little example by glxgears -info does work O.K.

So I saw at least two working images.

Comment 6 Guillaume Chazarain 2008-06-18 17:39:05 EDT
OK, so you can only see images with an alpha channel.

Anyway, according to your glxgears -info output it seems you are not using the
hardware acceleration of your nVidia board.

Can you also attach your /etc/X11/xorg.conf, /var/log/Xorg.0.log, and the output
of dmesg.

Thanks.
Comment 7 Julien Tane 2008-06-18 17:53:50 EDT
Created attachment 309794 [details]
xorg.conf
Comment 8 Julien Tane 2008-06-18 17:55:33 EDT
Created attachment 309795 [details]
logs of Xorg session
Comment 9 Julien Tane 2008-06-18 18:02:06 EDT
Created attachment 309797 [details]
dmesg output
Comment 10 Julien Tane 2008-06-18 18:15:11 EDT
- Does this mean that I can't use gliv?
- Is there no way to check it and at least inform the user?

Comment 11 Guillaume Chazarain 2008-06-19 17:24:50 EDT
> - Does this mean that I can't use gliv?

In the current situation, yes.
But you can install the proprietary nVidia drivers to get an OpenGL acceleration.

> - Is there no way to check it and at least inform the user?

None that I know of.
Comment 12 Bug Zapper 2009-06-09 21:06:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-11-16 03:06:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-11-04 07:54:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Peter Lemenkov 2010-11-08 02:31:32 EST
Ok, it's time to close this old ticket in hope that new Mesa has everything we need to show images using both software and hardware acceleration. (Un)fortunately I failed to reproduce this issue on both F-12, F-13 and F-14.

If this issue is still valid then you may either just reopen this (and change Fedora version accordingly) or create new ticket. Anyway F-12 will be eoled soon and we can't do much here.

Note You need to log in before you can comment on or make changes to this bug.